# pollination-sdk

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v0.3.4
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements

Python 2.7 and 3.4+

## Installation & Usage

### pip install

The default way to install `pollination-sdk` is through PyPi as follows:

```sh
pip install pollination-sdk
```

If you need a specific branch you can install straight from the repository using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import pollination_sdk 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import pollination_sdk
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import pollination_sdk
from pollination_sdk.rest import ApiException
from pprint import pprint

configuration = pollination_sdk.Configuration()

# Retrieve a temporary Acces Token (JWT) using your API token
API_TOKEN = 'some-token-string'

auth = pollination_sdk.UserApi()
api_token = pollination_sdk.LoginDto(
  api_token=API_TOKEN
)

auth_response = auth.login(api_token)

# Configure Bearer authorization: JWT
configuration.access_token = auth_response.access_token

# Defining host is optional and default to http://localhost
configuration.host = "http://localhost"
# Create an instance of the API class
api_instance = pollination_sdk.WorkflowsApi(pollination_sdk.ApiClient(configuration))
owner = 'owner_example' # str | 
name = 'name_example' # str | 
team_name = 'team_name_example' # str | 
permission = 'permission_example' # str | 

try:
    # Upsert a Workflow team level permission
    api_response = api_instance.upsert_workflow_team_permission(owner, name, team_name, permission)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling WorkflowsApi->upsert_workflow_team_permission: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AccountsApi* | [**get_account**](https://github.com/pollination/python-sdk/blob/master/docs/AccountsApi.md#get_account) | **GET** /accounts/{name} | Get an account by name
*ArtifactsApi* | [**create_artifact**](https://github.com/pollination/python-sdk/blob/master/docs/ArtifactsApi.md#create_artifact) | **POST** /projects/{owner}/{name}/artifacts | Get an Artifact upload link.
*ArtifactsApi* | [**delete_artifact**](https://github.com/pollination/python-sdk/blob/master/docs/ArtifactsApi.md#delete_artifact) | **DELETE** /projects/{owner}/{name}/artifacts | Delete one or many artifacts by key/prefix
*ArtifactsApi* | [**list_artifacts**](https://github.com/pollination/python-sdk/blob/master/docs/ArtifactsApi.md#list_artifacts) | **GET** /projects/{owner}/{name}/artifacts | List artifacts in a project folder
*OrgsApi* | [**create_org**](https://github.com/pollination/python-sdk/blob/master/docs/OrgsApi.md#create_org) | **POST** /orgs | Create an Org
*OrgsApi* | [**delete_org**](https://github.com/pollination/python-sdk/blob/master/docs/OrgsApi.md#delete_org) | **DELETE** /orgs/{name} | Delete an Org
*OrgsApi* | [**delete_org_member**](https://github.com/pollination/python-sdk/blob/master/docs/OrgsApi.md#delete_org_member) | **DELETE** /orgs/{name}/members/{username} | Remove an Org member
*OrgsApi* | [**get_org**](https://github.com/pollination/python-sdk/blob/master/docs/OrgsApi.md#get_org) | **GET** /orgs/{name} | Get an Org
*OrgsApi* | [**get_org_members**](https://github.com/pollination/python-sdk/blob/master/docs/OrgsApi.md#get_org_members) | **GET** /orgs/{name}/members | List an Org&#39;s members
*OrgsApi* | [**list_orgs**](https://github.com/pollination/python-sdk/blob/master/docs/OrgsApi.md#list_orgs) | **GET** /orgs | List Orgs
*OrgsApi* | [**update_org**](https://github.com/pollination/python-sdk/blob/master/docs/OrgsApi.md#update_org) | **PUT** /orgs/{name} | Update an Org
*OrgsApi* | [**upsert_org_member**](https://github.com/pollination/python-sdk/blob/master/docs/OrgsApi.md#upsert_org_member) | **PATCH** /orgs/{name}/members/{username}/{role} | Add or update the role of an Org Member
*ProjectsApi* | [**create_project**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#create_project) | **POST** /projects/{owner} | Create a Project
*ProjectsApi* | [**delete_project**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#delete_project) | **DELETE** /projects/{owner}/{name} | Delete a Project
*ProjectsApi* | [**delete_project_org_permission**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#delete_project_org_permission) | **DELETE** /projects/{owner}/{name}/permissions | Remove a Project permissions
*ProjectsApi* | [**get_project**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#get_project) | **GET** /projects/{owner}/{name} | Get a project
*ProjectsApi* | [**get_project_access_permissions**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#get_project_access_permissions) | **GET** /projects/{owner}/{name}/permissions | Get a project&#39;s access permissions
*ProjectsApi* | [**list_projects**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#list_projects) | **GET** /projects | List Projects
*ProjectsApi* | [**update**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#update) | **PUT** /projects/{owner}/{name} | Update a Project
*ProjectsApi* | [**upsert_project_permission**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#upsert_project_permission) | **PATCH** /projects/{owner}/{name}/permissions | Upsert a new permission to a project
*SimulationsApi* | [**create_simulation**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#create_simulation) | **POST** /projects/{owner}/{name}/simulations | Schedule a simulation
*SimulationsApi* | [**get_simulation**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#get_simulation) | **GET** /projects/{owner}/{name}/simulations/{simulation_id} | Get a Simulation
*SimulationsApi* | [**get_simulation_inputs**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#get_simulation_inputs) | **GET** /projects/{owner}/{name}/simulations/{simulation_id}/inputs | Get simulation inputs
*SimulationsApi* | [**get_simulation_logs**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#get_simulation_logs) | **GET** /projects/{owner}/{name}/simulations/{simulation_id}/logs | Get simulation logs
*SimulationsApi* | [**get_simulation_outputs**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#get_simulation_outputs) | **GET** /projects/{owner}/{name}/simulations/{simulation_id}/outputs | Get simulation outputs
*SimulationsApi* | [**get_simulation_task_logs**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#get_simulation_task_logs) | **GET** /projects/{owner}/{name}/simulations/{simulation_id}/task/{task_id}/logs | Get a simulation task&#39;s logs
*SimulationsApi* | [**list_simulations**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#list_simulations) | **GET** /projects/{owner}/{name}/simulations | List simulations
*SimulationsApi* | [**resubmit_simulation**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#resubmit_simulation) | **POST** /projects/{owner}/{name}/simulations/{simulation_id}/re-submit | re-submit a simulation
*SimulationsApi* | [**resume_simulation**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#resume_simulation) | **PUT** /projects/{owner}/{name}/simulations/{simulation_id}/resume | resume a simulation
*SimulationsApi* | [**suspend_simulation**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#suspend_simulation) | **PUT** /projects/{owner}/{name}/simulations/{simulation_id}/suspend | Suspend a simulation
*TeamsApi* | [**create_team**](https://github.com/pollination/python-sdk/blob/master/docs/TeamsApi.md#create_team) | **POST** /orgs/{org_name}/teams | Create a Team
*TeamsApi* | [**delete_org_team_member**](https://github.com/pollination/python-sdk/blob/master/docs/TeamsApi.md#delete_org_team_member) | **DELETE** /orgs/{org_name}/teams/{team_slug}/members/{username} | Remove a team member
*TeamsApi* | [**delete_team**](https://github.com/pollination/python-sdk/blob/master/docs/TeamsApi.md#delete_team) | **DELETE** /orgs/{org_name}/teams/{team_slug} | Delete a Team
*TeamsApi* | [**get_org_team_members**](https://github.com/pollination/python-sdk/blob/master/docs/TeamsApi.md#get_org_team_members) | **GET** /orgs/{org_name}/teams/{team_slug}/members | List a team&#39;s members
*TeamsApi* | [**get_team**](https://github.com/pollination/python-sdk/blob/master/docs/TeamsApi.md#get_team) | **GET** /orgs/{org_name}/teams/{team_slug} | Get a Team
*TeamsApi* | [**list_org_teams**](https://github.com/pollination/python-sdk/blob/master/docs/TeamsApi.md#list_org_teams) | **GET** /orgs/{org_name}/teams | List Teams
*TeamsApi* | [**update_team**](https://github.com/pollination/python-sdk/blob/master/docs/TeamsApi.md#update_team) | **PUT** /orgs/{org_name}/teams/{team_slug} | Update a Team
*TeamsApi* | [**upsert_org_team_member**](https://github.com/pollination/python-sdk/blob/master/docs/TeamsApi.md#upsert_org_team_member) | **PATCH** /orgs/{org_name}/teams/{team_slug}/members/{username}/{role} | Add or update the role of an Org Member
*UserApi* | [**change_password**](https://github.com/pollination/python-sdk/blob/master/docs/UserApi.md#change_password) | **POST** /user/change_password | Make a password change request
*UserApi* | [**get_me**](https://github.com/pollination/python-sdk/blob/master/docs/UserApi.md#get_me) | **GET** /user | Get authenticated user profile.
*UserApi* | [**get_roles**](https://github.com/pollination/python-sdk/blob/master/docs/UserApi.md#get_roles) | **GET** /user/roles | Get the authenticated user roles
*UserApi* | [**list_refresh_tokens**](https://github.com/pollination/python-sdk/blob/master/docs/UserApi.md#list_refresh_tokens) | **GET** /user/tokens | Get a list of token names
*UserApi* | [**login**](https://github.com/pollination/python-sdk/blob/master/docs/UserApi.md#login) | **POST** /user/login | Login to the platform and get a JWT back
*UserApi* | [**signup**](https://github.com/pollination/python-sdk/blob/master/docs/UserApi.md#signup) | **POST** /user/signup | Sign Up to the platform!
*UserApi* | [**upsert_refresh_token**](https://github.com/pollination/python-sdk/blob/master/docs/UserApi.md#upsert_refresh_token) | **POST** /user/tokens | Get refresh token and delete previous one if it exists
*UsersApi* | [**check_username**](https://github.com/pollination/python-sdk/blob/master/docs/UsersApi.md#check_username) | **GET** /users/check_username/{username} | Check if a username is already taken
*UsersApi* | [**get_one_user**](https://github.com/pollination/python-sdk/blob/master/docs/UsersApi.md#get_one_user) | **GET** /users/{name} | Get a specific user profile
*UsersApi* | [**list_users**](https://github.com/pollination/python-sdk/blob/master/docs/UsersApi.md#list_users) | **GET** /users | List Users
*WorkflowsApi* | [**create_workflow**](https://github.com/pollination/python-sdk/blob/master/docs/WorkflowsApi.md#create_workflow) | **POST** /workflows/{owner} | Create a Workflow
*WorkflowsApi* | [**delete_workflow**](https://github.com/pollination/python-sdk/blob/master/docs/WorkflowsApi.md#delete_workflow) | **DELETE** /workflows/{owner}/{name} | Delete a Workflow
*WorkflowsApi* | [**delete_workflow_org_permission**](https://github.com/pollination/python-sdk/blob/master/docs/WorkflowsApi.md#delete_workflow_org_permission) | **DELETE** /workflows/{owner}/{name}/permissions/org/{org_role} | Remove a Workflow org level permission
*WorkflowsApi* | [**delete_workflow_team_permission**](https://github.com/pollination/python-sdk/blob/master/docs/WorkflowsApi.md#delete_workflow_team_permission) | **DELETE** /workflows/{owner}/{name}/permissions/team/{team_name} | Remove a Workflow team level permission
*WorkflowsApi* | [**get_workflow**](https://github.com/pollination/python-sdk/blob/master/docs/WorkflowsApi.md#get_workflow) | **GET** /workflows/{owner}/{name} | Get a workflow
*WorkflowsApi* | [**get_workflow_access_permissions**](https://github.com/pollination/python-sdk/blob/master/docs/WorkflowsApi.md#get_workflow_access_permissions) | **GET** /workflows/{owner}/{name}/permissions | Get a workflow&#39;s access permissions
*WorkflowsApi* | [**list_workflows**](https://github.com/pollination/python-sdk/blob/master/docs/WorkflowsApi.md#list_workflows) | **GET** /workflows | List Workflows
*WorkflowsApi* | [**update_workflow**](https://github.com/pollination/python-sdk/blob/master/docs/WorkflowsApi.md#update_workflow) | **PUT** /workflows/{owner}/{name} | Update a Workflow
*WorkflowsApi* | [**upsert_workflow_org_permission**](https://github.com/pollination/python-sdk/blob/master/docs/WorkflowsApi.md#upsert_workflow_org_permission) | **PATCH** /workflows/{owner}/{name}/permissions/org/{org_role}/{permission} | Upsert a Workflow org level permission
*WorkflowsApi* | [**upsert_workflow_team_permission**](https://github.com/pollination/python-sdk/blob/master/docs/WorkflowsApi.md#upsert_workflow_team_permission) | **PATCH** /workflows/{owner}/{name}/permissions/team/{team_name}/{permission} | Upsert a Workflow team level permission


## Documentation For Models

 - [Accepted](https://github.com/pollination/python-sdk/blob/master/docs/Accepted.md)
 - [AccountPublic](https://github.com/pollination/python-sdk/blob/master/docs/AccountPublic.md)
 - [Arguments](https://github.com/pollination/python-sdk/blob/master/docs/Arguments.md)
 - [Artifact](https://github.com/pollination/python-sdk/blob/master/docs/Artifact.md)
 - [CreateOrgDto](https://github.com/pollination/python-sdk/blob/master/docs/CreateOrgDto.md)
 - [CreateTokenDto](https://github.com/pollination/python-sdk/blob/master/docs/CreateTokenDto.md)
 - [CreateWorkflowDto](https://github.com/pollination/python-sdk/blob/master/docs/CreateWorkflowDto.md)
 - [CreatedContent](https://github.com/pollination/python-sdk/blob/master/docs/CreatedContent.md)
 - [DAG](https://github.com/pollination/python-sdk/blob/master/docs/DAG.md)
 - [DAGTask](https://github.com/pollination/python-sdk/blob/master/docs/DAGTask.md)
 - [EmailRequest](https://github.com/pollination/python-sdk/blob/master/docs/EmailRequest.md)
 - [FileMeta](https://github.com/pollination/python-sdk/blob/master/docs/FileMeta.md)
 - [Function](https://github.com/pollination/python-sdk/blob/master/docs/Function.md)
 - [HTTPLocation](https://github.com/pollination/python-sdk/blob/master/docs/HTTPLocation.md)
 - [HTTPValidationError](https://github.com/pollination/python-sdk/blob/master/docs/HTTPValidationError.md)
 - [InputFolderLocation](https://github.com/pollination/python-sdk/blob/master/docs/InputFolderLocation.md)
 - [KeyRequest](https://github.com/pollination/python-sdk/blob/master/docs/KeyRequest.md)
 - [LoginDto](https://github.com/pollination/python-sdk/blob/master/docs/LoginDto.md)
 - [LoginToken](https://github.com/pollination/python-sdk/blob/master/docs/LoginToken.md)
 - [Operator](https://github.com/pollination/python-sdk/blob/master/docs/Operator.md)
 - [OrgDto](https://github.com/pollination/python-sdk/blob/master/docs/OrgDto.md)
 - [OrgMemberDto](https://github.com/pollination/python-sdk/blob/master/docs/OrgMemberDto.md)
 - [Parameter](https://github.com/pollination/python-sdk/blob/master/docs/Parameter.md)
 - [PatchOrgDto](https://github.com/pollination/python-sdk/blob/master/docs/PatchOrgDto.md)
 - [PatchProjectDto](https://github.com/pollination/python-sdk/blob/master/docs/PatchProjectDto.md)
 - [PatchTeamDto](https://github.com/pollination/python-sdk/blob/master/docs/PatchTeamDto.md)
 - [PatchWorkflow](https://github.com/pollination/python-sdk/blob/master/docs/PatchWorkflow.md)
 - [PrivateUserDto](https://github.com/pollination/python-sdk/blob/master/docs/PrivateUserDto.md)
 - [ProjectAccessPolicyDto](https://github.com/pollination/python-sdk/blob/master/docs/ProjectAccessPolicyDto.md)
 - [ProjectDto](https://github.com/pollination/python-sdk/blob/master/docs/ProjectDto.md)
 - [ProjectPermissions](https://github.com/pollination/python-sdk/blob/master/docs/ProjectPermissions.md)
 - [ProjectPolicySubjectDto](https://github.com/pollination/python-sdk/blob/master/docs/ProjectPolicySubjectDto.md)
 - [PublicUserDto](https://github.com/pollination/python-sdk/blob/master/docs/PublicUserDto.md)
 - [RefreshTokenDto](https://github.com/pollination/python-sdk/blob/master/docs/RefreshTokenDto.md)
 - [RunFolderLocation](https://github.com/pollination/python-sdk/blob/master/docs/RunFolderLocation.md)
 - [S3Location](https://github.com/pollination/python-sdk/blob/master/docs/S3Location.md)
 - [S3UploadRequest](https://github.com/pollination/python-sdk/blob/master/docs/S3UploadRequest.md)
 - [SignUpDto](https://github.com/pollination/python-sdk/blob/master/docs/SignUpDto.md)
 - [SimulationStatus](https://github.com/pollination/python-sdk/blob/master/docs/SimulationStatus.md)
 - [SubmitSimulationDto](https://github.com/pollination/python-sdk/blob/master/docs/SubmitSimulationDto.md)
 - [TaskStatus](https://github.com/pollination/python-sdk/blob/master/docs/TaskStatus.md)
 - [TeamDto](https://github.com/pollination/python-sdk/blob/master/docs/TeamDto.md)
 - [TeamMemberDto](https://github.com/pollination/python-sdk/blob/master/docs/TeamMemberDto.md)
 - [TeamOrg](https://github.com/pollination/python-sdk/blob/master/docs/TeamOrg.md)
 - [UpdateAccepted](https://github.com/pollination/python-sdk/blob/master/docs/UpdateAccepted.md)
 - [UserMetadata](https://github.com/pollination/python-sdk/blob/master/docs/UserMetadata.md)
 - [ValidationError](https://github.com/pollination/python-sdk/blob/master/docs/ValidationError.md)
 - [Workflow](https://github.com/pollination/python-sdk/blob/master/docs/Workflow.md)
 - [WorkflowAccessPolicyDto](https://github.com/pollination/python-sdk/blob/master/docs/WorkflowAccessPolicyDto.md)
 - [WorkflowDto](https://github.com/pollination/python-sdk/blob/master/docs/WorkflowDto.md)
 - [WorkflowPermissions](https://github.com/pollination/python-sdk/blob/master/docs/WorkflowPermissions.md)
 - [WorkflowPolicySubjectDto](https://github.com/pollination/python-sdk/blob/master/docs/WorkflowPolicySubjectDto.md)


## Documentation For Authorization


## JWT

- **Type**: Bearer authentication


## Author




